TKPPW/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('tk1.urls')),
    path('', include('RumahSakit.urls')),
    path('donasi/', include('donasi.urls')),
    path('admin-rs/', include('admin_rs.urls')),
    path('', include('Pengalaman.urls')),
    path('', include('screeningCovid.urls')),
    path('', include('Riwayat.urls')),
    path('', include('login.urls')),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

# + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT),

donasi/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

from . import views

app_name = 'donasi'

urlpatterns = [
    path('', views.donatur, name='donatur'),
    path('yuk/', views.donasi, name='donasi'),
]

login/urls.py
from django.urls import path
from . import views

app_name = 'login'

urlpatterns = [
    path('register/', views.register, name='register'),
    path('login/', views.login_account, name='login'),
    path('logout/', views.logout_account, name='logout')
]

tk1/urls.py
from django.urls import path

from . import views
app_name='home'

urlpatterns = [
    path('', views.home, name='home'),
]

donasi/models.py
from django.db import models

# Create your models here.

class Donatur(models.Model):
    PROVINSI = (
        ('1', 'Aceh'),
        ('2', 'Sumatera Utara'),
        ('3', 'Sumatera Barat'),
        ('4', 'Riau'),
        ('5', 'Kepulauan Riau'),
        ('6', 'Bengkulu'),
        ('7', 'Jambi'),
        ('8', 'Sumatera Selatan'),
        ('9', 'Bangka Belitung'),
        ('10', 'Lampung'),
        ('11', 'Banten'),
        ('12', 'Jawa Barat'),
        ('13', 'Jakarta'),
        ('14', 'Jawa Tengah'),
        ('15', 'Di Yogyakarta'),
        ('16', 'Jawa Timur'),
        ('17', 'Bali'),
        ('18', 'Nusa Tenggara Barat'),
        ('19', 'Nusa Tenggara Timur'),
        ('20', 'Kalimantan Timur'),
        ('21', 'Kalimantan Barat'),
        ('22', 'Kalimantan Selatan'),
        ('23', 'Kalimantan Tengah'),
        ('24', 'Kalimantan Utara'),
        ('25', 'Gorontalo'),
        ('26', 'Sulawesi Barat'),
        ('27', 'Sulawesi Tengah'),
        ('28', 'Sulawesi Selatan'),
        ('29', 'Sulawesi Tenggara'),
        ('30', 'Sulawesi Utara'),
        ('31', 'Maluku'),
        ('32', 'Maluku Utara'),
        ('33', 'Papua Barat'),
        ('34', 'Papua'),
    )
    nama_donatur = models.CharField(max_length=100)
    nominal_donatur = models.IntegerField()
    provinsi_donatur = models.CharField(
        max_length=2, 
        choices=PROVINSI, 
        blank=True)
    kota_donatur = models.CharField(max_length=15, blank=True)
    pesan_donatur = models.CharField(max_length=100)
    bukti_donatur = models.ImageField(upload_to= 'donatur/', height_field=None, width_field=None, max_length=100, null=True)

    def getNominal(self):
        return self.nominal_donatur

    def getNama(self):
        return self.nama_donatur

    def __str__(self):
        return "{}. {}".format(self.id, self.nama_donatur)

donasi/forms.py
from django import forms
from donasi.models import Donatur


class FormDonatur(forms.ModelForm):
    class Meta:
        model = Donatur
        fields = [
            'nama_donatur',
            'nominal_donatur',
            'kota_donatur',
            'pesan_donatur',
            'bukti_donatur',
        ]

        widgets = {
            'nominal_donatur': forms.NumberInput(),
            'kota_pelamar': forms.TextInput()
        }

    def __init__(self, *args, **kwargs):
        super(FormDonatur, self).__init__(*args, **kwargs)
        self.fields['nama_donatur'].widget.attrs['style'] = 'border-radius: 20px; margin:auto;'
        self.fields['nominal_donatur'].widget.attrs['style']  = 'border-radius: 20px;margin:auto'
        self.fields['pesan_donatur'].widget.attrs['style'] = 'border-radius: 20px; margin:auto;'

        self.fields['kota_donatur'].widget.attrs['style'] = 'border-radius: 20px; margin:auto;'

        self.fields['kota_donatur'].widget.attrs['id'] = 'kota_pelamar'

        self.fields['nama_donatur'].widget.attrs.update({'placeholder': 'Masukkan Nama Anda', 'class':'text-center form-control'})
        self.fields['nominal_donatur'].widget.attrs.update({'placeholder': 'Masukkan Nominal Donasi', 'class':'text-center form-control'})
        self.fields['pesan_donatur'].widget.attrs.update({'placeholder': 'Masukan Pesan Anda', 'class':'text-center form-control'})

donasi/views.py
from django.shortcuts import render, redirect
from django.db.models import Sum
from django.conf import settings
from django.conf.urls.static import static

from .forms import FormDonatur
from .models import Donatur
# Create your views here.

choices = [
    ('1', 'Aceh'),
    ('2', 'Sumatera Utara'),
    ('3', 'Sumatera Barat'),
    ('4', 'Riau'),
    ('5', 'Kepulauan Riau'),
    ('6', 'Bengkulu'),
    ('7', 'Jambi'),
    ('8', 'Sumatera Selatan'),
    ('9', 'Kepulauan Bangka Belitung'),
    ('10', 'Lampung'),
    ('11', 'Banten'),
    ('12', 'Jawa Barat'),
    ('13', 'Dki Jakarta'),
    ('14', 'Jawa Tengah'),
    ('15', 'Di Yogyakarta'),
    ('16', 'Jawa Timur'),
    ('17', 'Bali'),
    ('18', 'Nusa Tenggara Barat'),
    ('19', 'Nusa Tenggara Timur'),
    ('20', 'Kalimantan Timur'),
    ('21', 'Kalimantan Barat'),
    ('22', 'Kalimantan Selatan'),
    ('23', 'Kalimantan Tengah'),
    ('24', 'Kalimantan Utara'),
    ('25', 'Gorontalo'),
    ('26', 'Sulawesi Barat'),
    ('27', 'Sulawesi Tengah'),
    ('28', 'Sulawesi Selatan'),
    ('29', 'Sulawesi Tenggara'),
    ('30', 'Sulawesi Utara'),
    ('31', 'Maluku'),
    ('32', 'Maluku Utara'),
    ('33', 'Papua Barat'),
    ('34', 'Papua'),
]
CHOICES_CLEANED = []
for i in choices:
    CHOICES_CLEANED.append(i[1])


def donatur(request):
    total = Donatur.objects.all()
    sum = 0
    for item in total :
        sum += item.getNominal()
    return render(request, 'donasi.html', {'jumlah': sum, 'total': total})

def donasi(request):
    total = Donatur.objects.all()
    sum = 0
    for item in total :
        sum += item.getNominal()
    if request.method == 'POST':
        donatur_form = FormDonatur(request.POST,request.FILES or None)
        if donatur_form.is_valid():
            donatur_form.save()
            return redirect('../')
    else:
        donatur_form = FormDonatur()
    return render(request, "formDonasi.html", {'listProvinsi': CHOICES_CLEANED, 'data_form': donatur_form, 'jumlah': sum})

donasi/templates/donasi.html
{% extends 'base.html' %}
{%block content%}
{%load static%}
<style>
  html {
    scroll-behavior: smooth;
  }
  #myBtn {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    background-color: #8BA6B9; /* Set a background color */
    color: whitesmoke; /* Text color */
    cursor: pointer; /* Add a mouse pointer on hover */
    padding: 15px; /* Some padding */
    border-radius: 10px; /* Rounded corners */
    font-size: 18px; /* Increase font size */
  }
  
  #myBtn:hover {
    background-color: #555; /* Add a dark-grey background on hover */
  }
  @media screen and (min-width: 801px) {
    h2 {
      text-align: center;font-size:50px;
    }
  }

@media screen and (max-width: 800px) {
    h2 {
      font-size: 35px;
      text-align: center
    }
}

@media screen and (min-width: 801px) {
  h1 {
    text-align: center;font-size:100px;
  }
}

@media screen and (max-width: 800px) {
  h1 {
    font-size: 50px;
    text-align: center
  }
}

@media screen and (min-width: 801px) {
  .gmbr {
    width: 70%;
  }
}

@media screen and (max-width: 800px) {
  .gmbr {
    width: 100%;
  }
}
</style>

<div style="background:transparent" class="jumbotron jumbotron-fluid">
    <div class="container" style="text-align: center;">
      <h2>Total Donasi </h2>
      <h1>Rp{{ jumlah }}</h1>
        <a href="{% url 'donasi:donasi' %}" ><img class="gmbr" src="{% static 'Group 1 (1).png' %}" alt="Donasi disini!"></a>
  </div> 
</div>

{% for i in total %}
<table class="table table-borderless" style="max-width: 500px;" align="center">
  <tbody>
    <tr>
      <td><span style="padding-right: 100px;font-size: 50px;font-family: Poppins;font-weight: bold;color: #8BA6B9;">{{ i.nama_donatur }}</span> <br> <span style="font-size: 20px;font-family: Poppins;font-style: normal;font-weight: 600;">Rp{{ i.nominal_donatur }}</span></td>
      <td><span style="padding-right: 100px;font-size: 50px;font-family: Poppins;font-weight: bold;">{{ i.kota_donatur }}</span> <br> </td>
      <td><span style="padding-left: 100px;font-family: Poppins;font-style: normal;font-weight: 600;font-size: 28px;">{{ i.pesan_donatur }}</span></td>
    </tr>
  </tbody>
</table>
{% endfor %}
<button onclick="topFunction()" id="myBtn" title="Go to top">Home</button>
<script>
  //Get the button:
mybutton = document.getElementById("myBtn");

// When the user scrolls down 20px from the top of the document, show the button
window.onscroll = function() {scrollFunction()};

function scrollFunction() {
  if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
    mybutton.style.display = "block";
  } else {
    mybutton.style.display = "none";
  }
}

// When the user clicks on the button, scroll to the top of the document
function topFunction() {
  document.body.scrollTop = 0; // For Safari
  document.documentElement.scrollTop = 0; // For Chrome, Firefox, IE and Opera
}
</script>
{%endblock%}

donasi/templates/formDonasi.html
{% extends 'base.html' %}
{% load static %}
{%block content%}
<link rel="stylesheet" href="{% static 'RS.css' %}">

<style>
  .autocomplete {
    position: relative;
    display: inline-block;
  }
  
  .autocomplete-items {
    position: absolute;
    border: 1px solid #d4d4d4;
    border-bottom: none;
    border-top: none;
    z-index: 99;
    /*position the autocomplete items to be the same width as the container:*/
    top: 100%;
    left: 0;
    right: 0;
  }
  
  .autocomplete-items div {
    padding: 10px;
    cursor: pointer;
    background-color: #fff;
    border-bottom: 1px solid #d4d4d4;
  }
  
  /*when hovering an item:*/
  .autocomplete-items div:hover {
    background-color: #e9e9e9;
  }
  
  /*when navigating through the items using the arrow keys:*/
  .autocomplete-active {
    background-color: DodgerBlue !important;
    color: #ffffff;
  }
  
</style>


{% if user.is_authenticated %}
<div class="container swab" style="margin-top: 1rem;">
    <div class="row">
      <div class="col-lg-6">
        <div class="text-center">
          <form method="POST" onsubmit="myFunction()" class="post-form" enctype="multipart/form-data">
            
            {%csrf_token%}
                <div style="font-size: 20px;">{{data_form.nama_donatur.label_tag}}</div>
                <div id="form-swab">{{data_form.nama_donatur}}</div>

                <div style="font-size: 20px;">{{data_form.nominal_donatur.label_tag}}</div>
                <div id="form-swab">{{data_form.nominal_donatur}}</div>
                <div style="font-size: 20px;">
                <label for="provinsi_pelamar">Asal Provinsi:</label>
                </div>
                <br>
                
                <select id="provinsi_pelamar" name="provinsi_pelamar" class="form-control">
                    {% for provinsi in listProvinsi %}

                    {% if nomor_prov == forloop.counter%}

                    <option id="prov{{forloop.counter}}" value="{{forloop.counter}}" selected>
                        {{provinsi}}</option>
                    {% else %}
                    <option id="prov{{forloop.counter}}" value="{{forloop.counter}}">{{provinsi}}
                    </option>
                    {% endif %}
                    {% endfor %}
                </select>

                <div class="form-group autocomplete">
                <div style="font-size: 20px;">
                  {{data_form.kota_donatur.label_tag}}
                </div>
                <div id="form-swab">
                  {{data_form.kota_donatur}}
                </div>
              </div>
                <div style="font-size: 20px;">{{data_form.pesan_donatur.label_tag}}</div>
                <div id="form-swab">{{data_form.pesan_donatur}}</div>
                <div style="font-size: 20px;">{{data_form.bukti_donatur.label_tag}}</div>
                <div id="form-swab">{{data_form.bukti_donatur}}</div>


              <div class="container tombol">
                <div class="text-center">
                  <br>
                  <button class="btn btn-primary" role="button" type="submit">submit</button>
                </div>
              </div>
              </form>
        </div>      
        </div>
      <div class="col-lg-6">
        <div class="container">
          <div class="text-center">
            <br>
            <h3 style="font-weight: bolder;">transfer ke rekening berikut</h3>
            <h3 style="font-weight: bolder;">6208790982 (BCA)</h3>
            <h3 style="font-weight: bolder;">a.n Ammar Faridzki</h3>
            <h3 style="font-size: 45px; line-height: 70px;font-weight: bolder;">atau</h3> 
            <h3 style="font-weight: bolder;">scan disini</h3>
              <img src="{%static 'barcode.png' %}" style="width: 216px; height: 234px;">
            </div>
        </div>
      </div>
    </div>
  </div>

  {% else %}
  <div class="container screening" style="margin-top:1rem;">
    <div class="row">
        <div class="col-lg-12">
            <h1 style="text-align: center; margin-top: 75px;"><a href="{% url 'login:login' %}">Anda harus login terlebih dahulu supaya dapat melakukan donasi</a></h1>
        </div>
    </div>
</div>
{% endif %}
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
    integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
    crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
    integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
    crossorigin="anonymous"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="{% static 'jsMarsha.js' %}"></script>
<script>
function myFunction() {
    alert("Donasi berhasil!");
}
</script>
{%endblock%}